Vcenter CertificateManagement Vcenter TrustedRootChains create
Creates a new trusted root certificate chain from the CreateSpec.
This operation was added in vSphere API 6.7.2.
Returns an authorization error if you do not have all of the privileges described as follows:
- Operation execution requires
CertificateManagement.ManageandCertificateManagement.Administer.
The information needed to create a trusted root certificate chain.
Show optional properties
{
"cert_chain": {}
}
{
"cert_chain": {
"cert_chain": [
"string"
]
},
"chain": "string"
}
Certificate chain in base64 encoding
This property was added in vSphere API 6.7.2.
Unique identifier for this trusted root. Client can specify at creation as long as it is unique, otherwise one will be generated. An example of a client providing the identifier would be if this trusted root is associated with a VC trust. In this case the identifier would be the domain id.
This property was added in vSphere API 6.7.2.
A unique id will be generated if not given.
The unique identifier for the new trusted root chain.
if a trusted root certificate chain exists with id in given spec.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": {
"id": "string",
"params": {
"params": "Vapi Std LocalizationParam Object"
}
},
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
if authorization is not given to caller.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 9.1.0.0.
This property is optional because it was added in a newer version than its parent node.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cert_chain":"{}"}' https://{api_host}/api/vcenter/certificate-management/vcenter/trusted-root-chains